IP-MAC Binding (Template)
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getIpMacBindingGeneralSettingTemplate | GET | Get IP-MAC binding template general setting |
| modifyIpMacBindingGeneralSettingTemplate | PATCH | Modify IP-MAC binding template general setting |
| getGridIpMacBindingTemplate | GET | Get IP-MAC binding template list |
| createIpMacBindingTemplate | POST | Create IP-MAC binding template |
| deleteIpMacBindingTemplate | DELETE | Delete IP-MAC binding template |
| modifyIpMacBindingTemplate | PATCH | Modify IP-MAC binding template |
| batchDeleteIpMacBindingsTemplate | POST | Batch delete IP-MAC bindings template |
getIpMacBindingGeneralSettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-bind
Get IP-MAC binding template general setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getIpMacBindingGeneralSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get IP-MAC binding template general setting.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyIpMacBindingGeneralSettingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-bind
Modify IP-MAC binding template general setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema IPMacBindingGeneralSetting
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Enable of the IP MAC binding general setting, If applied, fill in at least one of LAN and WAN. |
lanIds | array<string> | no | LANs of the IP MAC binding general setting. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
wanIds | array<string> | no | WANs of the IP MAC binding general setting. WAN port ID can be obtained from 'Get internet basic info' interface. |
imbPass | boolean | no | ImbPass of the IP MAC binding general setting. |
garp | boolean | no | GARP of the IP MAC binding general setting. |
interval | integer | no | Interval should be within the range of 1–10000. |
// omada_call_operation
{
"operationId": "modifyIpMacBindingGeneralSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IP-MAC binding template general setting.
The interface requires one of the permissions:
Global Site Template Manager Modify
getGridIpMacBindingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds
Get IP-MAC binding template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridIpMacBindingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get IP-MAC binding template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createIpMacBindingTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds
Create IP-MAC binding template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema IPMacBinding
| Field | Type | Required | Description |
|---|---|---|---|
description | string | no | Description should contain 1 to 64 characters. |
mac | string | yes | MAC of the IP MAC binding entity. |
ip | string | yes | IP of the IP MAC binding entity. |
status | boolean | yes | Status of the IP MAC binding entity. |
interfaceType | integer | yes | Interface type should be a value as follows: 0: WAN; 1: LAN interface. |
interfaceId | string | yes | Interface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
exportToDhcpReservation | boolean | no | Whether to export to the DhcpReservation table. This subsection is deprecated. |
supportExport | boolean | no | Whether could export to the DhcpReservation table. This subsection is deprecated. |
enableExportToDhcpReservation | boolean | no | Whether to enable export to the DhcpReservation table. |
// omada_call_operation
{
"operationId": "createIpMacBindingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create IP-MAC binding template.
The interface requires one of the permissions:
Global Site Template Manager Modify
deleteIpMacBindingTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds/{bindId}
Delete IP-MAC binding template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
bindId | path | string | yes | IP MAC binding template ID |
// omada_call_operation
{
"operationId": "deleteIpMacBindingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"bindId": "<bindId>"
}
}Details, permissions and error codes
Delete IP-MAC binding template.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyIpMacBindingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds/{bindId}
Modify IP-MAC binding template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
bindId | path | string | yes | IP MAC binding template ID |
Request body — application/json (required) — schema IPMacBinding
| Field | Type | Required | Description |
|---|---|---|---|
description | string | no | Description should contain 1 to 64 characters. |
mac | string | yes | MAC of the IP MAC binding entity. |
ip | string | yes | IP of the IP MAC binding entity. |
status | boolean | yes | Status of the IP MAC binding entity. |
interfaceType | integer | yes | Interface type should be a value as follows: 0: WAN; 1: LAN interface. |
interfaceId | string | yes | Interface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
exportToDhcpReservation | boolean | no | Whether to export to the DhcpReservation table. This subsection is deprecated. |
supportExport | boolean | no | Whether could export to the DhcpReservation table. This subsection is deprecated. |
enableExportToDhcpReservation | boolean | no | Whether to enable export to the DhcpReservation table. |
// omada_call_operation
{
"operationId": "modifyIpMacBindingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"bindId": "<bindId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IP-MAC binding template.
The interface requires one of the permissions:
Global Site Template Manager Modify
batchDeleteIpMacBindingsTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds/batch-delete
Batch delete IP-MAC bindings template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema batchIds
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | yes | When selectType is set to all, the ids do not need to be passed and all entries are processed, when selectType is set to include, the id entries contained in the ids are processed, when selectType is set to exclude, the id entries that are not contained in the ids are processed |
selectType | string | no | SelectType all, include or exclude |
searchKey | string | no | Fuzzy query parameters, support field: voucher code |
// omada_call_operation
{
"operationId": "batchDeleteIpMacBindingsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete IP-MAC bindings template.
The interface requires one of the permissions:
Global Site Template Manager Modify